﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYACCDEFRULE') 
 CREATE TABLE T_HSAS_PAYACCDEFRULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYITEMMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTWAY VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FPAYMETHODID BIGINT DEFAULT 0 NOT NULL,
FBANKPURPOSEMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FBANKPURPOSEID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLACRELATIONMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYROLLACRELATIONID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYACCSPCRULE') 
 CREATE TABLE T_HSAS_PAYACCSPCRULE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULECONTENT NCLOB ,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PAYSPCDETAIL') 
 CREATE TABLE T_HSAS_PAYSPCDETAIL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYITEMMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FPAYCURRENCYMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTWAY VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYSCALE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYSUBJECTID BIGINT DEFAULT 0 NOT NULL,
FPAYMETHODID BIGINT DEFAULT 0 NOT NULL,
FBANKPURPOSEMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FBANKPURPOSEID BIGINT DEFAULT 0 NOT NULL,
FPAYROLLACRELATIONMARK VARCHAR(2) DEFAULT '0' NOT NULL,
FPAYROLLACRELATIONID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FBOID') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FISCURRENTVERSION') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FDATASTATUS') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FDATASTATUS VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FSOURCEVID') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FSOURCEVID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FHISVERSION') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FCHANGEDESCRIPTION') 
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FCOUNTRYID')
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FCOUNTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYSETTING' AND KSQL_COL_NAME ='FPAYRULEID')
 ALTER TABLE T_HSAS_PAYSETTING ADD (FPAYRULEID BIGINT DEFAULT 0 NOT NULL );
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYACCOUNTCFG' AND KSQL_COL_NAME ='FCOUNTRYID')
 ALTER TABLE T_HSAS_PAYACCOUNTCFG ADD (FCOUNTRYID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
