﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONEVENT') 
 CREATE TABLE T_HSAS_PRORATIONEVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRORATIONDATE DATETIME,
FSALARYFILEID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONGENRULEID BIGINT DEFAULT 0 NOT NULL,
FCHANGEREASONID BIGINT DEFAULT 0 NOT NULL,
FPRORATIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVENTSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FREFERENCESTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FPERSONCHANGEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONEVENT_L') 
 CREATE TABLE T_HSAS_PRORATIONEVENT_L (
FPKID VARCHAR(19) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HSAS_PRORATIONEVTITEM') 
 CREATE TABLE T_HSAS_PRORATIONEVTITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_HSAS_CALPAYROLLTASK', 'FISHANDLEPRORATION', 'CHAR(1)', 'NULL', '0011', 'NULL';
 EXEC p_AlterColumn 'T_HSAS_CALPAYROLLTASK', 'FISHANDLEPRORATION', 'VARCHAR(2)', 'NOT NULL', '1111', '''0''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLGRPSC' AND KSQL_COL_NAME ='FPRORATIONCAL') 
 ALTER TABLE T_HSAS_PAYROLLGRPSC ADD (FPRORATIONCAL VARCHAR(2) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HSAS_PAYROLLGRPSC' AND KSQL_COL_NAME ='FPRORATIONGENRULEID') 
 ALTER TABLE T_HSAS_PAYROLLGRPSC ADD (FPRORATIONGENRULEID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HSAS_table.sql **/
